Package org.pushingpixels.lafwidget.tabbed

# Interface TabPreviewThread.TabPreviewCallback

All Known Implementing Classes:
  `TabPagerManager.TabPagerPreviewCallback`

Enclosing class:
  `TabPreviewThread`

public static interface TabPreviewThread.TabPreviewCallback
Interface for offering the tab preview image once it has been computed.

## Method Summary

Modifier and Type
Method
Description
`void`
`offer(JTabbedPane tabPane, int tabIndex, BufferedImage componentSnap)`
Offers the preview image (thumbnail) of a tab in the specified tabbed pane.
`void`
`start(JTabbedPane tabPane, int tabCount, TabPreviewThread.TabPreviewInfo tabPreviewInfo)`
Starts the current cycle of `offer(JTabbedPane, int, BufferedImage)` calls.

## Method Details

### start

void start(JTabbedPane tabPane, int tabCount, TabPreviewThread.TabPreviewInfo tabPreviewInfo)
Starts the current cycle of `offer(JTabbedPane, int, BufferedImage)` calls. This can be used by the implementing class to revalidate itself in case the tab count in the specified tabbed pane has changed since the previous cycle of `offer(JTabbedPane, int, BufferedImage)` call.

Parameters:
  `tabPane` - Tabbed pane.
  `tabCount` - Tab count in the tabbed pane.
  `tabPreviewInfo` - Tab preview info. Can be changed in the implementation code.

### offer

void offer(JTabbedPane tabPane, int tabIndex, BufferedImage componentSnap)
Offers the preview image (thumbnail) of a tab in the specified tabbed pane.

Parameters:
  `tabPane` - Tabbed pane.
  `tabIndex` - Tab index.
  `componentSnap` - Tab preview image.